Name:           xdg-utils
Version:        1.0
Release:        %mkrel 0.beta3.1
Summary:        Interfaces and Tools to allow all applications to easily integrate with the free desktop configuration
License:        GPL
Url:            http://portland.freedesktop.org/wiki/
Group:          System/Base
Source0:        http://portland.freedesktop.org/download/%{name}-1.0beta3.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

#(nl): needed by xdg-mime
Requires:       libxslt-proc
%description

This version of xdg-utils contains the following commands:
xdg-desktop-menu:	command line tool for (un)installing 
			desktop menu items
xdg-desktop-icon:	command line tool for (un)installing 
			icons to the desktop
xdg-mime:	        command line tool for querying information 
			about file type handling and adding 
			descriptions for new file types
xdg-icon-resource:	command line tool for (un)installing icon resources
xdg-open:	        opens a file or URL in the user's preferred 
			application
xdg-email:	        command line tool for sending mail using the user's 
			preferred 
			e-mail composer
xdg-su:	                run a program as root after prompting for the root 
			password
xdg-screensaver:	command line tool for controlling the screensaver

%files
%defattr(-,root,root,-)
%{_bindir}/xdg-desktop-icon
%{_bindir}/xdg-desktop-menu
%{_bindir}/xdg-email
%{_bindir}/xdg-icon-resource
%{_bindir}/xdg-mime
%{_bindir}/xdg-open
%{_bindir}/xdg-screensaver
%{_mandir}/man1/xdg-desktop-icon.1.bz2
%{_mandir}/man1/xdg-desktop-menu.1.bz2
%{_mandir}/man1/xdg-email.1.bz2
%{_mandir}/man1/xdg-icon-resource.1.bz2
%{_mandir}/man1/xdg-mime.1.bz2
%{_mandir}/man1/xdg-open.1.bz2
%{_mandir}/man1/xdg-screensaver.1.bz2
%{_datadir}/xdg-utils/test-suite/tests

#-------------------------------------------------------------------------------#


%prep
%setup -q -n %{name}-1.0beta3

%configure2_5x

%install
rm -rf %buildroot

make DESTDIR=%buildroot install

#(nl) package the test-suite into /usr/share/xdg-utils/test-suite
mkdir -p %buildroot%_datadir/xdg-utils/test-suite
cp -fr tests/ %buildroot%_datadir/xdg-utils/test-suite  


%changelog
* Mon Aug 28 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-28 09:51:21 (58263)
- xdg-utils-1.0-0.beta3.1mdv2007.0
- Remove Patch0: Merged upstream

* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-07 13:25:46 (53880)
- Fix patch 0: thanks chty for your tests

* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-07 10:31:48 (53788)
- Use right release

* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-07 10:27:16 (53779)
- Increase release
- Fix wrong requires (thanks chty)

* Sun Aug 06 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-06 14:08:49 (53417)
- Increase release

* Sun Aug 06 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-06 14:07:32 (53416)
- Add Mandriva in the result of the test suite
       before :  distribution: distribution unknown
       now    :  distribution: Mandriva Linux 2007.0

* Sun Aug 06 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-06 13:52:06 (53415)
- Package the test-suite too

* Sat Aug 05 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-05 20:04:26 (53354)
- Add Requires

* Sat Aug 05 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-05 11:16:07 (53194)
-1.0 beta2

* Wed Jun 28 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-28 21:09:10 (38153)
- Fix description

* Wed Jun 28 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-28 20:59:38 (38152)
- Increase release

* Wed Jun 28 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-28 20:57:17 (38150)
- import xdg-utils-1.0-0.beta1.0mdv2007.0

